Bug 129924 - Cursor turns black (=outline?)
Cursor turns black (=outline?)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: Triaged
: 121958 (view as bug list)
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2004-08-14 06:56 EDT by Alar Suija
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 18:21:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg logfile (43.62 KB, text/plain)
2004-08-14 06:58 EDT, Alar Suija
no flags Details

  None (edit)
Description Alar Suija 2004-08-14 06:56:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Cursor changes sometimes totally black (like alpha channel mask).
Relogin fix this (but not jump to virtual console and back).

This seems totally randmom (but couple times after when using yum in
terminal??????).

Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-5

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. Using X
2. ????

    

Additional info:

There is similar bug in FC1 (libxrender related?)

I have 2 video cards in this machine, onboard i810 (disabled) and Ati
Rage 128 Pro

Ati(--) R128(0): Chipset: "ATI Rage 128 Pro ULTRA TF (AGP)" (ChipID =
0x5446)
Comment 1 Alar Suija 2004-08-14 06:58:58 EDT
Created attachment 102726 [details]
Xorg logfile

Xorg logfile
Comment 2 Mike A. Harris 2004-08-15 02:05:24 EDT
You mention that this isn't reproduceable.  Without being
reproduceable, there isn't really anything to investigate.

Can you be more specific as to how to reproduce the problem?
Comment 3 Alar Suija 2004-08-26 11:16:30 EDT
Seems possible, that problem is caused by hard disk failure. (i lost
this disk suddenly, many bad blocks etc, and seems that first was
hitted /tmp partition)

At least, i can not reproduce this bug in similar (exact videocard
model but different motherboard) system.
Comment 4 Kristian Høgsberg 2004-08-26 12:16:32 EDT
Closing bug, I've never been able to reproduce this, and reporter no
longer sees the problem.
Comment 5 Richard Hoelscher 2004-08-31 18:58:55 EDT
I see it after xscreensaver starts up... Once I get back to work, the 
cursor is black.
Comment 6 Kristian Høgsberg 2004-09-01 08:16:10 EDT
Do you have the same hardware? Does it always happen with xscreensaver
or only sometimes?  Is it dependent on the screensaver, e.g. is it
only for 3d screensavers?

Could you try with the 6.7.99.903 snapshot in rawhide to see if it
happens with that version also?
Comment 7 Mike A. Harris 2004-09-09 04:01:05 EDT
>Cursor changes sometimes totally black

The mouse cursor?
Comment 8 Alar Suija 2004-09-09 04:34:11 EDT
Yes, the mouse (X) cursor
In my case, xscreensaver wasn't culprit (cursor turns black right
after log-on)

Same system with fresh FC2 install (and new disk :) ), no problems at
all, seems 100% HDD failure for me.
Comment 9 Mike A. Harris 2004-09-09 04:38:19 EDT
Ok, can you add 'Option "swcursor"' to the Device section of your
xorg.conf, and restart the server to see if that makes a difference?
If so, it may be a problem in the r128 driver's hardware cursor
code perhaps.

If that doesn't help, can you try also adding 'Option "noaccel"' just
to see if it makes a difference or not, and then try both options at
once.  That tests all 3 possibilities.

TIA
Comment 10 Kristian Høgsberg 2004-09-14 21:28:40 EDT
*** Bug 121958 has been marked as a duplicate of this bug. ***
Comment 11 Hans 2004-10-06 09:42:19 EDT
Also have this problem, using the r128 driver, only started after I 
added KDE to clean "Gnome installation" (from the Fedora 2 CDs)
Comment 12 Caleb Harris 2004-10-06 16:26:57 EDT
I have the same issue.  I am using the r128 driver, and the mouse
cursor becomes a black outline after any invocation of xscreensaver. 
I tried the tests suggested by Mike Harris, with the following results--

Option "SWCursor" solves the issue
Option "noaccel" does not solve the issue
Option "SWCursor" with Option "noaccel" solves the issue

I'm guessing that means noaccel has no bearing on the problem.  But
then, I'm just an undergrad.  :)

I hope this is useful.
Comment 13 Mike A. Harris 2004-10-06 20:16:32 EDT
Ok, from the information in comment #12, I think it is safe to
conclude that this is a driver bug in the hardware cursor init
code, which might be ordered incorrectly perhaps.  Other drivers
have had similar problems in the past like this also.

Thanks for providing this information.
Comment 16 Alar Suija 2004-11-11 14:03:47 EST
Same problem also in FC3 with more serious issue (see bug #138822).
Comment 18 Steven Lawrance 2005-02-15 12:10:24 EST
My [relatively] new system has a Rage 128 AGP video card in it with this same
issue. I upgraded to Rawhide/Development and this issue continues to happen.
Just another data point..

I was able to restore it to the full-color cursor one time by switching to a
text-based virtual terminal and then switching back to X, but I could not
replicate that consistently. Sometimes, the cursor isn't completely black but is
rather a black-and-white version of the full-color cursor, including the
busy-cursor animation. At other times, it's completely black.
Comment 19 Mike A. Harris 2005-04-10 22:01:56 EDT
Please report this issue in the upstream X.Org bugzilla, located at
http://bugs.freedesktop.org in the "xorg" component.  Once you have
filed a report in the X.org bugzilla, if you paste the URL here, we
will track the issue in the upstream tracker and review any fixes that
become available in for consideration in future xorg-x11 updates for
Fedora Core.

Comment 21 Mike A. Harris 2005-04-10 22:04:39 EDT
Setting status to "NEEDINFO", awaiting X.Org bug report URL.
Comment 22 Mike A. Harris 2005-04-26 18:21:30 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.